Bug 1296413 - Enable --family in alternatives in openjdk7
Summary: Enable --family in alternatives in openjdk7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.7.0-openjdk
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: jiri vanek
QA Contact: Lukas Zachar
Robert Krátký
URL:
Whiteboard:
Depends On: 1291340
Blocks: 1297579 1313485
TreeView+ depends on / blocked
 
Reported: 2016-01-07 08:24 UTC by jiri vanek
Modified: 2016-11-23 13:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Selection of OpenJDK version family now remembered across updates Prior to this update, when a user had multiple JDKs installed, `yum update` always updated to the newest JDK even if the user had previously selected some lower-prioritized JDK. This update introduces the `--family` switch for `chkconfig`, which makes sure that the selected JDK remains in the version `family` after system updates.
Clone Of:
Environment:
Last Closed: 2016-11-03 22:58:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2140 normal SHIPPED_LIVE java-1.7.0-openjdk bug fix and enhancement update 2016-11-03 13:12:14 UTC

Description jiri vanek 2016-01-07 08:24:21 UTC
please see:
https://bugzilla.redhat.com/show_bug.cgi?id=1291340#c1

there already is erratumfor openjdk7

Comment 2 Robert Krátký 2016-04-12 10:53:11 UTC
Hi Jirka,

This bug has been selected for inclusion in 7.3 Release Notes. Could you please add info to the Docs Text field, so that I can use it to formulate the release note?

Perhaps it could be lumped together with bug #1296414?

Thanks.

Comment 3 jiri vanek 2016-04-12 10:56:59 UTC
Yes it can be merged with 1296414

Comment 6 Robert Krátký 2016-08-21 16:07:29 UTC
Hi Jirka,

Could you please check the Release Notes text?

Thank you.

Comment 8 jiri vanek 2016-09-05 13:51:06 UTC
hm:( The new docs are not describing --fmaily at all. Robert, is --family described properly in chkconfig update?
If so, then the description is ok.

Comment 9 Robert Krátký 2016-09-05 14:27:59 UTC
Hi Jirka,

When you say that the current text doesn't describe it 'at all', do you mean you'd like more detailed usage information? I intentionally abbreviated your original write up.

There's a very detailed description of --family in BZ#1291340.

Comment 10 jiri vanek 2016-09-05 14:40:05 UTC
Yup. if BZ#1291340's docs will remain, then you shortened one is ok. TY!

Comment 12 errata-xmlrpc 2016-11-03 22:58:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2140.html


Note You need to log in before you can comment on or make changes to this bug.